/********************************************************************
 FileName:      HardwareProfile.h
 Processor:     PIC18F14K50 Microcontrollers
 Compiler:      Microchip C18 (for PIC18)
 Company:       GGV +380955769814
 Use MICROCHIP LIBRAY
 Software License Agreement:
 THIS SOFTWARE IS PROVIDED IN AN "AS IS" CONDITION. NO WARRANTIES,
 WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING, BUT NOT LIMITED
 TO, IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
 PARTICULAR PURPOSE APPLY TO THIS SOFTWARE. THE COMPANY SHALL NOT,
 IN ANY CIRCUMSTANCES, BE LIABLE FOR SPECIAL, INCIDENTAL OR
 CONSEQUENTIAL DAMAGES, FOR ANY REASON WHATSOEVER.

********************************************************************/

#ifndef HARDWARE_PROFILE_H
#define HARDWARE_PROFILE_H

    //#define USE_SELF_POWER_SENSE_IO	
    #define tris_self_power     TRISAbits.TRISA2    // Input
    #if defined(USE_SELF_POWER_SENSE_IO)
    #define self_power          PORTAbits.RA2
    #else
    #define self_power          1
    #endif

    //#define USE_USB_BUS_SENSE_IO
    #define tris_usb_bus_sense  TRISAbits.TRISA1    // Input
    #if defined(USE_USB_BUS_SENSE_IO)
    #define USB_BUS_SENSE       PORTAbits.RA1
    #else
    #define USB_BUS_SENSE       1
    #endif

    /*******************************************************************/
    /******** Application specific definitions *************************/
    /*******************************************************************/

//Uncomment the following line to make the output HEX of this 
    //  project work with the HID Bootloader
    #define PROGRAMMABLE_WITH_USB_HID_BOOTLOADER	

    /** Board definition ***********************************************/
    //These defintions will tell the main() function which board is
    //  currently selected.  This will allow the application to add
    //  the correct configuration bits as wells use the correct
    //  initialization functions for the board.  These defitions are only
    //  required in the stack provided demos.  They are not required in
    //  final application design.
    
    #define DEMO_BOARD LOW_PIN_COUNT_USB_DEVELOPMENT_KIT
    #define LOW_PIN_COUNT_USB_DEVELOPMENT_KIT
    #define CLOCK_FREQ 48000000
    
    /** LED ************************************************************/

    
    #define aLED_1              LATCbits.LATC5
    #define aLED_2              LATCbits.LATC4
    #define aLED_3              LATCbits.LATC6
    #define aLED_4              LATCbits.LATC7

    #define kLED_1              LATCbits.LATC0
    #define kLED_2              LATCbits.LATC1
    #define kLED_3              LATCbits.LATC2

    #define rLED                LATCbits.LATC3

    
    #define aGetLED_1()         aLED_1
    #define aGetLED_2()         aLED_2
    #define aGetLED_3()         aLED_3
    #define aGetLED_4()         aLED_4

    #define kGetLED_1()         kLED_1
    #define kGetLED_2()         kLED_2
    #define kGetLED_3()         kLED_3


    #define aLED_1_On()         aLED_1 = 1;
    #define aLED_2_On()         aLED_2 = 1;
    #define aLED_3_On()         aLED_3 = 1;
    #define aLED_4_On()         aLED_4 = 1;
    
    #define kLED_1_On()         kLED_1 = 0;
    #define kLED_2_On()         kLED_2 = 0;
    #define kLED_3_On()         kLED_3 = 0;

    #define rLED_On()           rLED = 1;


    #define aLED_1_Off()        aLED_1 = 0;
    #define aLED_2_Off()        aLED_2 = 0;
    #define aLED_3_Off()        aLED_3 = 0;
    #define aLED_4_Off()        aLED_4 = 0;

    #define kLED_1_Off()        kLED_1 = 1;
    #define kLED_2_Off()        kLED_2 = 1;
    #define kLED_3_Off()        kLED_3 = 1;

    #define rLED_Off()           rLED = 0;

    
    #define aLED_1_Toggle()     aLED_1 = !aLED_1;
    #define aLED_2_Toggle()     aLED_2 = !aLED_2;
    #define aLED_3_Toggle()     aLED_3 = !aLED_3;
    #define aLED_4_Toggle()     aLED_4 = !aLED_4;

    #define kLED_1_Toggle()     kLED_1 = !kLED_1;
    #define kLED_2_Toggle()     kLED_2 = !kLED_2;
    #define kLED_3_Toggle()     kLED_3 = !kLED_3;

    #define rLED_Toggle()           rLED = !rLED;
    /** SWITCH *********************************************************/

    #define sw1                 PORTBbits.RB7
    #define sw2                 PORTBbits.RB6
    #define sw3                 PORTBbits.RB5
    #define sw4                 PORTBbits.RB4


    /** POT ************************************************************/
 //   #define mInitPOT()          {TRISB = 0xF0;ANSEL=0;ANSELH=0;}
//  ADCON0=0x29;ADCON1=0;ADCON2=0x3E;ADCON2bits.ADFM = 1;}

    /** I/O pin definitions ********************************************/
    #define INPUT_PIN 1
    #define OUTPUT_PIN 0

#endif  //HARDWARE_PROFILE_H

   
